// pages/memberChange/memberChange.js
const app = getApp();
Page({

  /**
   * 页面的初始数据
   */
  data: {
    entity:{}
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    var that = this;
    var config = wx.getStorage({
      key: 'config',
      success: function(res) {
        console.log(res);
        if(res){
          that.getInfo(res.data.unionId);
        }
      },
    })
    // wx.request({
    //   url: '',
    // })
  },
  getInfo(unionId){
    var that = this;
    wx.request({
      url: app.url +'ajax_get_member_content.php',
      data:{
        unionId:unionId
      },
      success:function(resp){
        console.log(resp)
        that.setData({
          entity:resp.data.result
        })
      }
    })
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  },
  buy(){
    var config = wx.getStorage({
      key: 'config',
      success: function (res) {
        console.log(res);
        if (res) {
          wx.request({
            url: app.url +'ajax_buy_user_member.php',
            data:{
              unionId: res.data.unionId,
              openId: res.data.openId
            },
            success:function(resp){
              console.log(resp)
            }
          })
        }
      },
    })
  },
  cancel(){
    console.log(1111)
    wx.navigateBack({});
  }
})